Subject: bug#43714: 28.1: auto-revert code improvements [PATCH]

From: Boruch Baum <[email-masked]>
Date: Wed, 30 Sep 2020 11:09:38 -0400

On 2020-09-30 15:48, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> > Just as a 'for example': I started on this because I saw that the code
> > was saving match data, which had me on a wild goose chase hunting for
> > why and where it was necessary - I found nothing, and removing the code
> > doesn't seem to have ill effect.
>
> That's really hard to tell, though -- the reason for saving the match
> data may be in hard-to-trigger circumstances, and the saving was
> introduced in a commit of its own, so I'm guessing there was some
> specific reason for it.
>
> The commit message is super-helpful here:
>
> commit 33512cbeb168764f83f5a740090ce40b4b948591
> Author:     Luc Teirlinck <[email-masked]>
> AuthorDate: Wed Jun 1 20:51:03 2005 +0000
>
>     (auto-revert-buffers): Use save-match-data.

Seriously now. Should I send an email to Luc, asking him what he was
thinking 15 years ago? Otherwise, I'd be willing to look over the
versions at that commit and it's HEAD^ if you can send them to me.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0